Index: sandbox/workflow/branches/609/inc/class.ui_ajaxinterface.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_ajaxinterface.inc.php	(revision 1452)
+++ sandbox/workflow/branches/609/inc/class.ui_ajaxinterface.inc.php	(revision 2233)
@@ -56,12 +56,12 @@
 		$vfs = createobject('phpgwapi.vfs');
 		$_SESSION['phpgw_info']['workflow']['vfs_basedir'] = $vfs->basedir;
-		$_SESSION['phpgw_info']['workflow']['server'] = $GLOBALS['phpgw_info']['server'];			
+		$_SESSION['phpgw_info']['workflow']['server'] = $GLOBALS['phpgw_info']['server'];
 		$_SESSION['phpgw_info']['workflow']['lang'] = $GLOBALS['lang'];
 		$_SESSION['phpgw_info']['workflow']['account_id'] = $GLOBALS['phpgw_info']['user']['account_id'];
-		$_SESSION['phpgw_info']['workflow']['user_groups'] = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getUserGroups($GLOBALS['phpgw_info']['user']['account_id']);
+		$_SESSION['phpgw_info']['workflow']['user_groups'] = Factory::getInstance('WorkflowLDAP')->getUserGroups($GLOBALS['phpgw_info']['user']['account_id']);
 		$user_is_admin = $acl->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']);
-		$_SESSION['phpgw_info']['workflow']['user_is_admin'] = $user_is_admin; 
+		$_SESSION['phpgw_info']['workflow']['user_is_admin'] = $user_is_admin;
 		$_SESSION['phpgw_info']['workflow']['user_can_admin_process'] = ($user_is_admin || ($GLOBALS['phpgw']->acl->check('admin_workflow',1,'workflow')));
-		$_SESSION['phpgw_info']['workflow']['user_can_admin_instance'] = ($user_is_admin || ($GLOBALS['phpgw']->acl->check('admin_instance_workflow',1,'workflow'))); 
+		$_SESSION['phpgw_info']['workflow']['user_can_admin_instance'] = ($user_is_admin || ($GLOBALS['phpgw']->acl->check('admin_instance_workflow',1,'workflow')));
 
 		$can_monitor = $acl->checkUserGroupAccessToType('MON', $GLOBALS['phpgw_info']['user']['account_id']);
@@ -118,5 +118,5 @@
 	{
 		$CSSName = "css/{$CSSName}.css";
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer = &Factory::getInstance('TemplateServer');
 		$CSSLink = $templateServer->getWebFile($CSSName);
 		$CSSFile = $templateServer->getSystemFile($CSSName);
Index: sandbox/workflow/branches/609/inc/class.JobRunner.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.JobRunner.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.JobRunner.inc.php	(revision 2233)
@@ -43,5 +43,5 @@
 		$this->parameters = unserialize(base64_decode($parameters));
 		$this->parameters['currentDate'] = new DateTime($this->parameters['currentDate']);
-		$this->jobManager = &$GLOBALS['workflow']['factory']->getInstance('WorkflowJobManager');
+		$this->jobManager =& Factory::getInstance('WorkflowJobManager');
 	}
 
@@ -66,5 +66,5 @@
 	{
 		/* activate the security policy */
-		$GLOBALS['workflow']['factory']->getInstance('WorkflowSecurity')->enableSecurityPolicy();
+		Factory::getInstance('WorkflowSecurity')->enableSecurityPolicy();
 
 		if (!file_exists($this->parameters['file']))
@@ -94,5 +94,5 @@
 
 require_once 'common.inc.php';
-$GLOBALS['workflow']['factory']->getInstance('WorkflowMacro')->prepareEnvironment();
+Factory::getInstance('WorkflowMacro')->prepareEnvironment();
 
 $jobRunner = new JobRunner($argv[1]);
Index: sandbox/workflow/branches/609/inc/class.ui_adminsource.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_adminsource.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_adminsource.inc.php	(revision 2233)
@@ -78,5 +78,5 @@
 	function form()
 	{
-		$smarty = $GLOBALS['workflow']['factory']->getInstance('workflow_smarty', false);
+		$smarty = Factory::getInstance('workflow_smarty', false);
 		$smarty->setHeader(workflow_smarty::SHOW_HEADER | workflow_smarty::SHOW_NAVIGATION_BAR | workflow_smarty::SHOW_FOOTER, $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Admin Processes Sources'));
 
Index: sandbox/workflow/branches/609/inc/class.so_adminjobs.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.so_adminjobs.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.so_adminjobs.inc.php	(revision 2233)
@@ -96,5 +96,5 @@
 		$this->isAdmin = $_SESSION['phpgw_info']['workflow']['user_is_admin'];
 		$this->acl = &$GLOBALS['ajax']->acl;
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID;
+		$this->db = &Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID;
 		$this->jobManager = new JobManager(&$this->db);
 	}
@@ -229,5 +229,5 @@
 		$output = array();
 		$job = $this->jobManager->getJob($jobID);
-		$jobScheduler = &$GLOBALS['workflow']['factory']->getInstance('JobScheduler');
+		$jobScheduler =& Factory::getInstance('JobScheduler');
 		$totalTime = microtime(true);
 		$thread = $jobScheduler->execute($job, true);
Index: sandbox/workflow/branches/609/inc/class.ui_adminactivities.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_adminactivities.inc.php	(revision 1710)
+++ sandbox/workflow/branches/609/inc/class.ui_adminactivities.inc.php	(revision 2233)
@@ -374,5 +374,5 @@
 		// fill proc_bar
 		$this->t->set_var('proc_bar', $this->fill_proc_bar($proc_info));
-		
+
 		//collect some messages from used objects
 		$this->message[] = $this->activity_manager->get_error(false, _DEBUG);
@@ -380,5 +380,5 @@
 		$this->message[] = $this->role_manager->get_error(false, _DEBUG);
 
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer = &Factory::getInstance('TemplateServer');
 
 		// fill the general variables of the template
@@ -732,5 +732,5 @@
 			$this->translate_template('block_process_activities_header');
 			$this->t->parse('process_activities_header', 'block_process_activities_header', True);
-			$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+			$templateServer = &Factory::getInstance('TemplateServer');
 			foreach ($process_activities_data as $activity)
 			{
@@ -792,5 +792,5 @@
 				'trans_href_from'	=> $GLOBALS['phpgw']->link('/index.php', 'menuaction=workflow.ui_adminactivities.form&where2='. $where2 .'&sort_mode2='. $sort_mode2 .'&p_id='. $this->wf_p_id .'&find='. $find .'&where='. $where .'&sort_mode='. $this->sort_mode .'&activity_id='. $transition['wf_act_from_id']),
 				'trans_actFromName'	=> $transition['wf_act_from_name'],
-				'trans_arrow'		=> $GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink('next.gif'),
+				'trans_arrow'		=> Factory::getInstance('TemplateServer')->generateImageLink('next.gif'),
 				'trans_href_to'		=> $GLOBALS['phpgw']->link('/index.php', 'menuaction=workflow.ui_adminactivities.form&where2='. $where2 .'&sort_mode2='. $sort_mode2 .'&p_id='. $this->wf_p_id .'&find='. $find .'&where='. $where .'&sort_mode='. $this->sort_mode .'&activity_id='. $transition['wf_act_to_id']),
 				'trans_actToName'	=> $transition['wf_act_to_name'],
@@ -1036,5 +1036,5 @@
 		$image_name = $proc_info['wf_normalized_name'] . SEP . 'graph' . SEP . $proc_info['wf_normalized_name'] . '.png';
 		$image = GALAXIA_PROCESSES . SEP . $image_name;
-		if ($GLOBALS['workflow']['factory']->getInstance('BrowserInfo')->isOpera())
+		if (Factory::getInstance('BrowserInfo')->isOpera())
 			$maximumDimension = 1000000;
 		else
@@ -1069,5 +1069,5 @@
 		}
 	}
-	
+
 	/**
 	 * Dislays the activity agents config rows
@@ -1090,5 +1090,5 @@
 			}
 			$this->translate_template('admin_agents');
-												$this->t->parse('agents_config_rows', 'admin_agents');
+			$this->t->parse('agents_config_rows', 'admin_agents');
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.workflow_wfruntime.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_wfruntime.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.workflow_wfruntime.inc.php	(revision 2233)
@@ -18,5 +18,5 @@
 		function workflow_wfruntime()
 		{
-			parent::WfRuntime($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::WfRuntime(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.WorkflowLDAP.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.WorkflowLDAP.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.WorkflowLDAP.inc.php	(revision 2233)
@@ -50,5 +50,5 @@
 	function WorkflowLDAP()
 	{
-		$this->dataSource = &$GLOBALS['workflow']['workflowObjects']->getLDAP();
+		$this->dataSource =& Factory::getInstance('WorkflowObjects')->getLDAP();
 
 		/* get the required parameters */
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_user.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 2233)
@@ -94,5 +94,5 @@
 		$extraParams .= "&hideSectors=1";
 
-	$image = $GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink('add_user.png');
+	$image = Factory::getInstance('TemplateServer')->generateImageLink('add_user.png');
 
 $output .= <<<EOF
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_state.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_state.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_state.php	(revision 2233)
@@ -46,5 +46,5 @@
 	$sql = "SELECT id_state, state_name FROM phpgw_cc_state WHERE id_country = 'BR' ORDER BY state_name";
 
-	$result = $GLOBALS['workflow']['workflowObjects']->getDBExpresso()->Link_ID->query($sql);
+	$result = Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID->query($sql);
 	$estados = array();
 	while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_ldap_users.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_ldap_users.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_ldap_users.php	(revision 2233)
@@ -25,5 +25,5 @@
 {
     require_once $smarty->_get_plugin_filepath('function','html_options');
-	$imagesPath = substr($GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink(''), 0, -1);
+	$imagesPath = substr(Factory::getInstance('TemplateServer')->generateImageLink(''), 0, -1);
 
 	$requiredParams = array(
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_city.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_city.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_city.php	(revision 2233)
@@ -37,14 +37,14 @@
 		if (!array_key_exists($required, $params) || (empty($params[$required])))
 			$smarty->trigger_error("[wf_select_city] missing required parameter(s): $required", E_USER_ERROR);
-	
+
 	/* atribui valores default para os parâmetros não passados */
 	foreach ($defaultValues as $key => $value)
 		if (!isset($params[$key]))
 			$params[$key] = $value;
-	
+
 	/* extrai alguns parâmetros da matriz de parâmetros */
 	foreach ($extractParams as $extract)
 		$$extract = $params[$extract];
-	
+
 	/* parâmetros extras são "acumulados" em uma única variável */
 	$extraParams = array();
@@ -53,5 +53,5 @@
 			$extraParams[$key] = $value_params;
 
-	$db = &$GLOBALS['workflow']['workflowObjects']->getDBExpresso()->Link_ID;
+	$db = &Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID;
 	if (isset($params['value']))
 	{
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_generic_select.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_generic_select.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_generic_select.php	(revision 2233)
@@ -53,5 +53,5 @@
 EOF;
 
-	$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+	$templateServer = &Factory::getInstance('TemplateServer');
 	$imageAdd = $templateServer->generateImageLink('add.png');
 	$imageRemove = $templateServer->generateImageLink('close.png');
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/prefilter.wf_default_template.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/prefilter.wf_default_template.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/prefilter.wf_default_template.php	(revision 2233)
@@ -31,5 +31,5 @@
 	{
 		/* get the header and footer location */
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer = &Factory::getInstance('TemplateServer');
 		$header = $templateServer->getSystemFile('processes/header.tpl');
 		$footer = $templateServer->getSystemFile('processes/footer.tpl');
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_redir_menu.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_redir_menu.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_redir_menu.php	(revision 2233)
@@ -53,9 +53,10 @@
 	$select_tag .= "<option value=\"og\">Organograma</option>";
 
-	$user_is_admin = $GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']);
-	if ($user_is_admin || ($GLOBALS['phpgw']->acl->check('admin_workflow',1,'workflow'))) {
+	$user_is_admin = Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']);
+	$phpgw =& Factory::getForeignInstance('phpgwapi','phpgw');
+	if ($user_is_admin || ($phpgw->acl->check('admin_workflow',1,'workflow'))) {
 		$select_tag .= "<option value=\"ad\">Administração</option>";
 	}
-	if ($user_is_admin ||  ($GLOBALS['phpgw']->acl->check('monitor_workflow',1,'workflow'))) {
+	if ($user_is_admin ||  ($phpgw->acl->check('monitor_workflow',1,'workflow'))) {
 		$select_tag .= "<option value=\"mo\">Monitoramento</option>";
 	}
Index: sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_users.php
===================================================================
--- sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_users.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/smarty/wf_plugins/function.wf_select_users.php	(revision 2233)
@@ -16,5 +16,5 @@
 {
     require_once $smarty->_get_plugin_filepath('function','html_options');
-	$imagesPath = substr($GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink(''), 0, -1);
+	$imagesPath = substr(Factory::getInstance('TemplateServer')->generateImageLink(''), 0, -1);
 	$requiredParams = array(
 		'name');
Index: sandbox/workflow/branches/609/inc/class.workflow_gui.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_gui.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.workflow_gui.inc.php	(revision 2233)
@@ -20,5 +20,5 @@
 		function workflow_gui()
 		{
-			parent::GUI($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::GUI(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.bo_userinterface.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.bo_userinterface.inc.php	(revision 2085)
+++ sandbox/workflow/branches/609/inc/class.bo_userinterface.inc.php	(revision 2233)
@@ -43,7 +43,7 @@
 	function bo_userinterface()
 	{
-		parent::bo_ajaxinterface();	
+		parent::bo_ajaxinterface();
 		$this->so = new so_userinterface();
-		$GLOBALS['ajax']->gui = new GUI($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$GLOBALS['ajax']->gui = new GUI(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 	}
 
@@ -68,5 +68,5 @@
 		$webserver_url = $_SESSION['phpgw_info']['workflow']['server']['webserver_url'];
 
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer =& Factory::getInstance('TemplateServer');
 		foreach ($result['data'] as $line)
 		{
@@ -78,5 +78,5 @@
 				$iconweb = $webserver_url . '/workflow/redirect.php?pid=' . $line['wf_p_id'] . '&file=/icon.png';
 			else
-				$iconweb = $templateServer->generateImageLink('navbar.png');
+				$iconweb = $templateServer->generateImageLink('default_process.png');
 			$procname_ver = $line['wf_normalized_name'];
 			if (!isset($recset[$procname_ver]))
@@ -120,17 +120,17 @@
 		$pid = $params['pid'];
 		$result = array();
-		
-		$process = new Process($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+
+		$process = new Process(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$process->getProcess($pid);
 		$result['wf_procname'] = $process->name;
 		$result['wf_version'] = $process->version;
 		$result['wf_description'] = $process->description;
-		
-		$activ_manager = new ActivityManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+
+		$activ_manager = new ActivityManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$result['wf_activities'] = $activ_manager->get_process_activities($pid);
-		
-		$this->disconnect_all();
-		
-		return $result; 
+
+		$this->disconnect_all();
+
+		return $result;
 	}
 
@@ -263,5 +263,5 @@
 				else
 					if ($row['wf_user'] != '')
-						$row['wf_user_fullname'] = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($row['wf_user']);
+						$row['wf_user_fullname'] = Factory::getInstance('WorkflowLDAP')->getName($row['wf_user']);
 
 				/* unset unneeded information */
@@ -495,8 +495,8 @@
 		}
 
-		$instance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$instance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$instance->getInstance($instanceID);
 
-		$process = new Process($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$process = new Process(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$process->getProcess($instance->pId);
 
@@ -508,7 +508,7 @@
 			'wf_instance_id' => $instance->instanceId,
 			'wf_priority' => $instance->priority,
-			'wf_owner' => $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($instance->owner),
+			'wf_owner' => Factory::getInstance('WorkflowLDAP')->getName($instance->owner),
 			'wf_next_activity' => $instance->nextActivity,
-			'wf_next_user' => $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($instance->nextUser),
+			'wf_next_user' => Factory::getInstance('WorkflowLDAP')->getName($instance->nextUser),
 			'wf_name' => $instance->name,
 			'wf_category' => $instance->category,
@@ -526,5 +526,5 @@
     		$result['wf_ended'] = "";
 
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		foreach ($instance->workitems as $line)
 		{
@@ -657,5 +657,5 @@
 		$cod_process = array();
 
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		$viewActivitiesID = array();
 		foreach ($result['data'] as $row)
@@ -740,5 +740,5 @@
 	/**
 	 * Aplicacoes externas do usuario
-	 * @return array 
+	 * @return array
 	 * @access public
 	 */
@@ -746,5 +746,5 @@
 	{
 		$webserver_url = $_SESSION['phpgw_info']['workflow']['server']['webserver_url'];
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer = &Factory::getInstance('TemplateServer');
 
 		/* load the sites that the user can access */
Index: sandbox/workflow/branches/609/inc/class.Logger.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.Logger.inc.php	(revision 900)
+++ sandbox/workflow/branches/609/inc/class.Logger.inc.php	(revision 2233)
@@ -80,5 +80,5 @@
 	{
 
-		$this->db =& $GLOBALS['workflow']['workflowObjects']->getDBExpresso()->Link_ID;
+		$this->db =& Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID;
 
 		if(!empty($curProcessName)){
Index: sandbox/workflow/branches/609/inc/class.bo_adminjobs.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.bo_adminjobs.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.bo_adminjobs.inc.php	(revision 2233)
@@ -100,5 +100,5 @@
 		/* paginate the result */
 		$logEntriesPerPage = 30;
-		$paging = &$GLOBALS['workflow']['factory']->newInstance('Paging', $logEntriesPerPage, $params);
+		$paging =& Factory::newInstance('Paging', $logEntriesPerPage, $params);
 		$logs = $paging->restrictItems($logs);
 
Index: sandbox/workflow/branches/609/inc/class.so_external_applications.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.so_external_applications.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.so_external_applications.inc.php	(revision 2233)
@@ -130,5 +130,5 @@
 		$this->isAdmin = $_SESSION['phpgw_info']['workflow']['user_is_admin'];
 		$this->acl = &$GLOBALS['ajax']->acl;
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID;
+		$this->db =& Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID;
 		$this->EXTERNAL_APPLICATION_PATH = $_SESSION['phpgw_info']['workflow']['server']['files_dir'] . '/workflow//workflow/external_applications';
 	}
